package com.tzld.piaoquan.api.model.po.contentplatform;

import com.tzld.piaoquan.growth.common.utils.page.Page;
import java.util.ArrayList;
import java.util.List;

public class ContentPlatformGzhPlanChangeLogExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    protected Page page;

    public ContentPlatformGzhPlanChangeLogExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    public void setPage(Page page) {
        this.page=page;
    }

    public Page getPage() {
        return page;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andPlanIdIsNull() {
            addCriterion("plan_id is null");
            return (Criteria) this;
        }

        public Criteria andPlanIdIsNotNull() {
            addCriterion("plan_id is not null");
            return (Criteria) this;
        }

        public Criteria andPlanIdEqualTo(Long value) {
            addCriterion("plan_id =", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdNotEqualTo(Long value) {
            addCriterion("plan_id <>", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdGreaterThan(Long value) {
            addCriterion("plan_id >", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdGreaterThanOrEqualTo(Long value) {
            addCriterion("plan_id >=", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdLessThan(Long value) {
            addCriterion("plan_id <", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdLessThanOrEqualTo(Long value) {
            addCriterion("plan_id <=", value, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdIn(List<Long> values) {
            addCriterion("plan_id in", values, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdNotIn(List<Long> values) {
            addCriterion("plan_id not in", values, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdBetween(Long value1, Long value2) {
            addCriterion("plan_id between", value1, value2, "planId");
            return (Criteria) this;
        }

        public Criteria andPlanIdNotBetween(Long value1, Long value2) {
            addCriterion("plan_id not between", value1, value2, "planId");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsIsNull() {
            addCriterion("old_plan_ids is null");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsIsNotNull() {
            addCriterion("old_plan_ids is not null");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsEqualTo(String value) {
            addCriterion("old_plan_ids =", value, "oldPlanIds");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsNotEqualTo(String value) {
            addCriterion("old_plan_ids <>", value, "oldPlanIds");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsGreaterThan(String value) {
            addCriterion("old_plan_ids >", value, "oldPlanIds");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsGreaterThanOrEqualTo(String value) {
            addCriterion("old_plan_ids >=", value, "oldPlanIds");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsLessThan(String value) {
            addCriterion("old_plan_ids <", value, "oldPlanIds");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsLessThanOrEqualTo(String value) {
            addCriterion("old_plan_ids <=", value, "oldPlanIds");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsLike(String value) {
            addCriterion("old_plan_ids like", value, "oldPlanIds");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsNotLike(String value) {
            addCriterion("old_plan_ids not like", value, "oldPlanIds");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsIn(List<String> values) {
            addCriterion("old_plan_ids in", values, "oldPlanIds");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsNotIn(List<String> values) {
            addCriterion("old_plan_ids not in", values, "oldPlanIds");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsBetween(String value1, String value2) {
            addCriterion("old_plan_ids between", value1, value2, "oldPlanIds");
            return (Criteria) this;
        }

        public Criteria andOldPlanIdsNotBetween(String value1, String value2) {
            addCriterion("old_plan_ids not between", value1, value2, "oldPlanIds");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsIsNull() {
            addCriterion("new_plan_ids is null");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsIsNotNull() {
            addCriterion("new_plan_ids is not null");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsEqualTo(String value) {
            addCriterion("new_plan_ids =", value, "newPlanIds");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsNotEqualTo(String value) {
            addCriterion("new_plan_ids <>", value, "newPlanIds");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsGreaterThan(String value) {
            addCriterion("new_plan_ids >", value, "newPlanIds");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsGreaterThanOrEqualTo(String value) {
            addCriterion("new_plan_ids >=", value, "newPlanIds");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsLessThan(String value) {
            addCriterion("new_plan_ids <", value, "newPlanIds");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsLessThanOrEqualTo(String value) {
            addCriterion("new_plan_ids <=", value, "newPlanIds");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsLike(String value) {
            addCriterion("new_plan_ids like", value, "newPlanIds");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsNotLike(String value) {
            addCriterion("new_plan_ids not like", value, "newPlanIds");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsIn(List<String> values) {
            addCriterion("new_plan_ids in", values, "newPlanIds");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsNotIn(List<String> values) {
            addCriterion("new_plan_ids not in", values, "newPlanIds");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsBetween(String value1, String value2) {
            addCriterion("new_plan_ids between", value1, value2, "newPlanIds");
            return (Criteria) this;
        }

        public Criteria andNewPlanIdsNotBetween(String value1, String value2) {
            addCriterion("new_plan_ids not between", value1, value2, "newPlanIds");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampIsNull() {
            addCriterion("create_timestamp is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampIsNotNull() {
            addCriterion("create_timestamp is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampEqualTo(Long value) {
            addCriterion("create_timestamp =", value, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampNotEqualTo(Long value) {
            addCriterion("create_timestamp <>", value, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampGreaterThan(Long value) {
            addCriterion("create_timestamp >", value, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampGreaterThanOrEqualTo(Long value) {
            addCriterion("create_timestamp >=", value, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampLessThan(Long value) {
            addCriterion("create_timestamp <", value, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampLessThanOrEqualTo(Long value) {
            addCriterion("create_timestamp <=", value, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampIn(List<Long> values) {
            addCriterion("create_timestamp in", values, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampNotIn(List<Long> values) {
            addCriterion("create_timestamp not in", values, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampBetween(Long value1, Long value2) {
            addCriterion("create_timestamp between", value1, value2, "createTimestamp");
            return (Criteria) this;
        }

        public Criteria andCreateTimestampNotBetween(Long value1, Long value2) {
            addCriterion("create_timestamp not between", value1, value2, "createTimestamp");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}